aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild')
-rw-r--r--dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild b/dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild
new file mode 100644
index 000000000..094704766
--- /dev/null
+++ b/dev-cpp/growler-arch/growler-arch-0.3.7.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+SLOT="0"
+LICENSE="NOSA"
+
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="Growler-Arch is the set growler libraries and utilities that provide a distributed object architecture and environment."
+HOMEPAGE="http://www.nas.nasa.gov/~bgreen/growler/"
+SRC_URI="${HOMEPAGE}/downloads/growler-arch-${PV}.tar.gz"
+
+IUSE="doc static"
+
+RDEPEND=">=dev-cpp/growler-link-0.3.7
+ >=dev-cpp/growler-thread-0.3.4
+ >=dev-cpp/growler-core-0.3.7"
+
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen dev-libs/libxslt )"
+
+src_compile() {
+ econf \
+ $(use_enable doc) \
+ $(use_enable static) \
+ --enable-fast-install \
+ || die "could not configure"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ dodoc README NEWS AUTHORS NOSA ChangeLog
+}
+